C		A T O P L T      v e r s i o n : 2
C
C  By:  Rob Cook and Trevor Williamson
C  Of:  La Trobe University, Bundoora, Victoria 3083, Australia
C  On:  17 January 1977
C	14 April 1977
C	4 May 1977
C	15 June 1977
C	16 June 1977
C	19 June 1977
C	30 June 1977
C
C
C  Edit history:
C  32	fix bug in APISLB that caused overscaling of values
C  33	alter calling sequences for ATOLSQ, ATOLSP so that turning off
C	least squares can be done by eg CALL ATOLSQ(-1)
C  34	COMMON /APFIX/ ommitted in APPCHK - add it
C  35	remove basic plotting routines from APLOT.FOR to
C	a new file APSUB.FOR, so that they are easier to modify.
C  36	Fix bug in APPSEX that caused title exponeents to be written
C	using the plot title size instead of the axis title size.
C  37	Fix a bug in ATOPRM that caused bad range checking on 
C	parameters 13, 14 and 17
C  40	COMMON /APFIX/ ommitted in ATOCHL - add it
C  41	Add a new ATOPRM #45 - tick spacing for Y axis
C	ATOPRM #10 becomes tick spacing for X axis
C  42	Check lengths of titles and don't plot if zero
C	Don't draw a notes box if no notes
C  43	Plot tick values before axis titles so that title exponent
C	can be plotted immediately following title
C  44	Alter frame and tick drawing so that pen movements are
C	minimised - handy for pen plotters
C  45	Add minor version numbers and revise version number plotting
C  46	Up maximum number of character labels to 24 so that it can
C	handle hours of the day
C  47	Further change the box and tick drawing algorithm so that
C	if shading is specified for ticks, the ticks are drawn in
C	a seperate pass to allow for a single pern change
C
C
	SUBROUTINE APNAME
C
C  Define the ATOPLT wide COMMON areas and initialise them. Call
C  a device dependant initialisation module.
C
	INTEGER	X, Y, LU, MOV, DRW, VERSIO, VCHAR, VEDIT
	REAL	RV, RD
	COMMON	/APFIX/X, Y, RV, RD, LU, MOV, DRW
	COMMON	/APVER/VERSIO(3), VCHAR, VEDIT
C
C  X,Y	indices in XY arrays for the X and Y values
C
	DATA	X, Y/1, 2/
C
C  rounding factors
C
	DATA	RV, RD/0.00005, 0.005/
C
C  logical unit number for error messages
C
	DATA	LU/6/
C
C  codes for moving the pen up and down
C
	DATA	MOV, DRW/3, 2/
C
C  ATOPLT version numbers - update after every edit
C
	DATA	VEDIT, VCHAR, VERSIO/47, 11, 'ATOPLT v:2A'/
C
C	call the device dependant initialisation
C
	CALL APDVIC
C
C
	END
